For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardDocumentationPlaygroundSign Out
  • Intro
    • Introduction & Auth
    • Data Overview
  • API Reference
      • GETSearch
  • Aviato DSL
    • Aviato DSL V1
    • DSL Query Schemas
Logo
DashboardDocumentationPlaygroundSign Out
API ReferenceGeocoder

Search

GET
https://data.api.aviato.co/geocoder/search
GET
/geocoder/search
$curl -G https://data.api.aviato.co/geocoder/search \
> -H "Authorization: Bearer <token>" \
> -d text=text
1[
2 {
3 "id": 1,
4 "name": "name",
5 "placetype": "placetype",
6 "languageDefaulted": true,
7 "geom": {
8 "bbox": "bbox",
9 "lat": 1.1,
10 "lon": 1.1,
11 "area": 1.1
12 },
13 "population": 1,
14 "country": {
15 "id": 1,
16 "name": "name",
17 "abbr": "abbr",
18 "languageDefaulted": true
19 },
20 "region": {
21 "id": 1,
22 "name": "name",
23 "languageDefaulted": true,
24 "abbr": "abbr"
25 },
26 "locality": {
27 "id": 1,
28 "name": "name",
29 "languageDefaulted": true
30 }
31 },
32 {
33 "id": 1,
34 "name": "name",
35 "placetype": "placetype",
36 "languageDefaulted": true,
37 "geom": {
38 "bbox": "bbox",
39 "lat": 1.1,
40 "lon": 1.1,
41 "area": 1.1
42 },
43 "population": 1,
44 "country": {
45 "id": 1,
46 "name": "name",
47 "abbr": "abbr",
48 "languageDefaulted": true
49 },
50 "region": {
51 "id": 1,
52 "name": "name",
53 "languageDefaulted": true,
54 "abbr": "abbr"
55 },
56 "locality": {
57 "id": 1,
58 "name": "name",
59 "languageDefaulted": true
60 }
61 }
62]

Allows you to search for a specific location, and returns a list of potential geocoded matches. If you are performing a people/company search, we highly recommend using the Geocoded ID of the location you intend to search for, and filtering by “locationIDList” contains {geocoded_id}.

Was this page helpful?
Previous

Get Token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

textstringRequired
limitintegerOptional
langstringOptional

Response

This endpoint returns a list of objects.
idinteger
namestring
placetypestring
languageDefaultedboolean
geomobject
populationinteger
countryobject
regionobject
localityobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Rate Limit Error